%define srcname xf86-video-i810
%define _hwdatadir %_datadir/hwdatabase/videoaliases

Name: xorg-x11-drv-i810
Version: 1.6.5
Release: alt0.M40.1
Serial: 3
Summary: Intel integrated graphics chipsets
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org

Source0: %srcname-%version.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Requires: xorg-x11-server xorg-x11-drv-intel >= 2.2.0-alt2.M40.1
Requires: xorg-x11-dri-intel xorg-x11-extensions-glx
Obsoletes: xorg-x11-drv-i8xx
Provides: xorg-x11-drv-i8xx = %serial:7.2.0 x11-driver-i810

BuildRequires: libX11-devel libXv-devel libXvMC-devel libmesa-devel
BuildRequires: xorg-x11-proto-devel xorg-x11-sdk xorg-x11-util-macros
BuildRequires: libXdmcp-devel libXau-devel libXext-devel libdrm-devel

%description
i810  is  an  Xorg  driver  for  Intel  integrated  graphics
chipsets.  The driver supports depths 8, 15, 16  and  24.   All  visual
types are supported in depth 8.  For the i810/i815 other depths support
the TrueColor and DirectColor visuals.  For the 830M  and  later,  only
the  TrueColor  visual  is  supported  for  depths greater than 8.  The
driver supports hardware accelerated 3D via the Direct Rendering Infra-
structure  (DRI),  but only in depth 16 for the i810/i815 and depths 16
and 24 for the 830M and later.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_x11modulesdir \
	--enable-dri \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

mv %buildroot%_x11modulesdir/drivers/i810_drv.so %buildroot%_x11modulesdir/drivers/i810-%version.so
rm -f %buildroot%_libdir/libI810*

mkdir -p %buildroot%_hwdatadir
grep "#define[[:space:]]*PCI_CHIP_" src/common.h | grep -v _BRIDGE | \
	sed -ne 's|.*\(PCI_CHIP_.*\)[[:space:]]*0x\([0-9A-F]*\)|alias pcivideo:v00008086d0000\2sv*sd*bc*sc*i* i810\t# \1|p' \
	>> %buildroot%_hwdatadir/i810.xinf
# altbug 12423, 12515
echo "alias pcivideo:v00008086d00002562sv*sd*bc*sc*i* i810	# PCI_CHIP_I845_G" >> %buildroot%_hwdatadir/i810.xinf

mkdir -p %buildroot%_altdir
cat > %buildroot%_altdir/%name <<EOF
%_x11modulesdir/drivers/i810_drv.so	%_x11modulesdir/drivers/i810-%version.so	20
EOF

%post
%register_alternatives %name

%postun
%unregister_alternatives %name

%files
%_altdir/%name
%_x11modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_man4dir/*

%changelog
* Sat Dec 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.5-alt0.M40.1
- build for branch 4.0

* Sat Dec 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.5-alt1
- 1.6.5
